Skip to main content
GET
/
Company
/
{companyId}
cURL
curl --request GET \
  --url https://api.trysynch.com/Company/{companyId} \
  --header 'Authorization: Bearer <token>'
{
  "company": {
    "name": "<string>",
    "contactNumber": "<string>",
    "emailAddress": "<string>",
    "feeMultiplier": 123,
    "websiteUrl": "<string>",
    "address": {
      "streetNumberAndName": "<string>",
      "apartmentNumber": "<string>",
      "city": "<string>",
      "zipCode": "<string>",
      "state": "<string>",
      "country": "<string>"
    }
  },
  "transfers": [
    {
      "externalTransferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "amount": {
        "value": 123,
        "currencyCode": {
          "value": "<string>",
          "displayName": "<string>",
          "cultureName": "<string>"
        }
      },
      "date": "2023-11-07T05:31:56Z",
      "senderName": "<string>",
      "recipientName": "<string>",
      "senderAccount": "<string>",
      "recipientAccount": "<string>",
      "isRefunded": true,
      "isReimbursed": true,
      "appliedForReimbursement": true,
      "recipientAddress": {
        "streetNumberAndName": "<string>",
        "apartmentNumber": "<string>",
        "city": "<string>",
        "zipCode": "<string>",
        "state": "<string>",
        "country": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Path Parameters

companyId
string<uuid>
required

Query Parameters

limit
integer<int32>

Response

OK

company
object
transfers
object[]